**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/26.3/vault-settings/retrieve-setting-metadata

# Retrieve Settings Group Metadata

Retrieves metadata for a specific settings group.

<Endpoint path="/api/{version}/configuration/settings/{type}/metadata/{group}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `type` | The API name of the settings type. For example, `general_settings__sys`. Retrieve a list of all types available in your Vault with [List Settings Types](/clinical/vault-api/api-reference/26.3/vault-settings/list-settings-types). |
| `group` | The API name of the settings group. For example, `currency`. |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET -H "Authorization: {AUTH_VALUE}" \
-H "Accept: application/json" \
https://myvault.veevavault.com/api/v26.3/configuration/settings/general_settings__sys/metadata/vault_information
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
    "responseStatus": "SUCCESS",
    "data": {
        "name": "vault_information",
        "label": "Vault Information",
        "description": null,
        "settings": [
            {
                "name": "vault_name",
                "label": "Vault Name",
                "description": "Display name for this Vault.",
                "type": "STRING",
                "default": null,
                "read_only": false
            }
        ]
    }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, Vault returns the following information for the specified settings group:

<FieldTable>
| Name | Description |
| --- | --- |
| `name` | The API name of the settings group. |
| `label` | The label displayed in the UI. |
| `description` | A description of the settings group. |
| `settings` | A list of settings that belong directly to this settings group. Each entry includes `name`, `label`, `description`, `type` (`BOOLEAN`, `STRING`, or `NUMBER`), `default`, and `read_only`. |
</FieldTable>

---

**Previous:** [Retrieve Settings Type Metadata](/clinical/vault-api/api-reference/26.3/vault-settings/retrieve-settings-type-metadata)  
**Next:** [Retrieve Setting Metadata](/clinical/vault-api/api-reference/26.3/vault-settings/retrieve-grouped-setting-metadata)